summaryrefslogtreecommitdiff
path: root/web/noweb/contrib/avs/mksfixes.ksh
diff options
context:
space:
mode:
Diffstat (limited to 'web/noweb/contrib/avs/mksfixes.ksh')
-rw-r--r--web/noweb/contrib/avs/mksfixes.ksh15
1 files changed, 15 insertions, 0 deletions
diff --git a/web/noweb/contrib/avs/mksfixes.ksh b/web/noweb/contrib/avs/mksfixes.ksh
new file mode 100644
index 0000000000..6ca89997de
--- /dev/null
+++ b/web/noweb/contrib/avs/mksfixes.ksh
@@ -0,0 +1,15 @@
+if [ -z "$1" -o -z "$2" ]
+then
+ echo Usage $0 BIN TMP >&2
+ echo Fixes "'BIN/cpif.ksh'" for use with MKS Toolkit "(see 'man mks42bug', cmp entry)" >&2
+ echo "Fixes 'BIN/noweb.ksh' for use with MKS toolkit (the PATH problem, see howto386.txt)" >&2
+ echo TMP is for later use by cpif.ksh i.e. at run-time >&2
+ echo "Changes only line 8 (if it has 'PATH='), line 20 (if it has 'new=') and line 28 (if it has '-eq0')" >&2
+ exit 1
+fi
+
+cat $1/cpif.ksh | sed -e '8s/\(PATH=.*\)/#\1/' -e '20s@\(new=.*\)@new='$2'/$$@' -e '28s/-eq0.*/ -eq0|-ne1|*2|*3) cp $new $i/' > $2/cpif.tmp
+mv $2/cpif.tmp $1/cpif.ksh
+
+cat $1/noweb.ksh | sed '21,26s/PATH="$PATH:$LIB"//' > $2/noweb.tmp
+mv $2/noweb.tmp $1/noweb.ksh \ No newline at end of file